Loading...
Searching...
No Matches
volk_avx512_intrinsics.h File Reference
`#include <immintrin.h>`

Go to the source code of this file.

## Functions

static __m512 | _mm512_rsqrt_nr_ps (const __m512 a)
static __m512 | _mm512_real (const __m512 z1, const __m512 z2)
static __m512 | _mm512_imag (const __m512 z1, const __m512 z2)
static __m512 | _mm512_arctan_poly_avx512 (const __m512 x)
static __m512 | _mm512_arcsin_poly_avx512 (const __m512 x)
static __m512 | _mm512_complexmul_ps (const __m512 x, const __m512 y)
static __m512 | _mm512_complexconjugatemul_ps (const __m512 x, const __m512 y)
static __m512 | _mm512_normalize_ps (const __m512 val)
static __m512 | _mm512_sin_poly_avx512 (const __m512 x)
static __m512 | _mm512_cos_poly_avx512 (const __m512 x)
static __m512 | _mm512_log2_poly_avx512 (const __m512 x)

## Function Documentation

## _mm512_arcsin_poly_avx512()

__m512 _mm512_arcsin_poly_avx512 | ( | const __m512 | x | ) |

inline static

## _mm512_arctan_poly_avx512()

__m512 _mm512_arctan_poly_avx512 | ( | const __m512 | x | ) |

inline static

## _mm512_complexconjugatemul_ps()

__m512 _mm512_complexconjugatemul_ps | ( | const __m512 | x,
|  | const __m512 | y )

inline static

## _mm512_complexmul_ps()

__m512 _mm512_complexmul_ps | ( | const __m512 | x,
|  | const __m512 | y )

inline static

## _mm512_cos_poly_avx512()

__m512 _mm512_cos_poly_avx512 | ( | const __m512 | x | ) |

inline static

## _mm512_imag()

__m512 _mm512_imag | ( | const __m512 | z1,
|  | const __m512 | z2 )

inline static

## _mm512_log2_poly_avx512()

__m512 _mm512_log2_poly_avx512 | ( | const __m512 | x | ) |

inline static

## _mm512_normalize_ps()

__m512 _mm512_normalize_ps | ( | const __m512 | val | ) |

inline static

## _mm512_real()

__m512 _mm512_real | ( | const __m512 | z1,
|  | const __m512 | z2 )

inline static

## _mm512_rsqrt_nr_ps()

__m512 _mm512_rsqrt_nr_ps | ( | const __m512 | a | ) |

inline static

## _mm512_sin_poly_avx512()

__m512 _mm512_sin_poly_avx512 | ( | const __m512 | x | ) |

inline static